From 4795616b09ade4c493b4989428f38368355ee0ce Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 18:21:17 +0100
Subject: [PATCH 23/34] add patient selected event notification

---
 gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py   |    1 +
 .../client/ProxiedWeb/gui/PatientsearchPanel.py    |   12 +++++++++++-
 2 files changed, 12 insertions(+), 1 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py b/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
index 2bc2edd..5b6ceed 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/GMWevents.py
@@ -3,6 +3,7 @@ from pyjamas.EventController import Handler
 class GNUmedEvents(object):
     def __init__(self):
         self.login = Handler(self, "Login")
+        self.patsearch = Handler(self, "PatientSelected")
 
 events = None
 
diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/PatientsearchPanel.py b/gnumed/gnumed/client/ProxiedWeb/gui/PatientsearchPanel.py
index 6cf8c06..1291959 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/PatientsearchPanel.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/PatientsearchPanel.py
@@ -10,6 +10,7 @@ from pyjamas.ui.Button import Button
 from WebguiHelpers import cSimplePopup
 
 import Remote
+import GMWevents
 
 #======================================================
 class cPatientsearchPanel(HorizontalPanel):
@@ -40,7 +41,16 @@ class cPatientsearchPanel(HorizontalPanel):
     def onRemoteResponse(self, response, request_info):
         method = request_info.method
         if method == 'search_patient':
-            self.searchbox.setText(str(response))
+            if isinstance(response, list):
+                # TODO: fire up selection dialog
+                GMWevents.events.onPatientSelectedEvent(self, None) 
+                return
+
+            self.searchbox.setText(response.description)
+
+            print dir(response)
+            # notify listeners of patient details
+            GMWevents.events.onPatientSelectedEvent(self, response)
 
     #--------------------------------------------------
     def onRemoteError(self, code, errobj, request_info):
-- 
1.7.1

